#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x85,0x69,0xAF,0x31,0x45,0x55,0x10,0xAB,0xFF,0x66,0x26,0x71,
		0x2A,0x91,0x0F,0x47,0xCD,0xEF,0x99,0xEA,0x51,0xE3,0xB4,0xA7,
		0x2F,0x66,0x66,0x48,0x88,0xBA,0x2B,0xE1,0xA1,0xF2,0xBA,0xAE,
		0x71,0x49,0xB0,0xDE,0x41,0x68,0x91,0xB7,0x1C,0x72,0x53,0xF4,
		0xC1,0x50,0x4C,0xA7,0x0F,0x7B,0x2E,0xA8,0x9D,0xB0,0xA5,0xBA,
		0x73,0xFF,0xBF,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
